# List all carrier accounts Returns a list of all carrier accounts connected to your Shippo account. These carrier accounts include both Shippo carrier accounts and your own carrier accounts that you have connected to your Shippo account. Additionally, you can get information about the service levels associated with each carrier account by passing in the ?service_levels=true query parameter. Using it appends the property service_levels to each carrier account. By default, if the query parameter is omitted, the service_levels property will not be included in the response. Endpoint: GET /carrier_accounts Version: 2018-02-08 Security: APIKeyHeader ## Query parameters: - `service_levels` (boolean) Appends the property service_levels to each returned carrier account - `carrier` (string) Filter the response by the specified carrier Enum: "airterra", "apc_postal", "apg", "aramex", "asendia_us", "australia_post", "axlehire", "better_trucks", "borderguru", "boxberry", "bring", "canada_post", "cdl", "chronopost", "collect_plus", "correios_br", "correos_espana", "colissimo", "deutsche_post", "dhl_benelux", "dhl_ecommerce", "dhl_express", "dhl_germany_c2c", "dhl_germany", "dpd_de", "dpd_uk", "estafeta", "fastway_australia", "fedex", "globegistics", "gls_us", "gophr", "gso", "hermes_germany_b2c", "hermes_uk", "hongkong_post", "lasership", "lso", "mondial_relay", "new_zealand_post", "nippon_express", "ontrac", "parcelforce", "passport", "pcf", "poste_italiane", "posti", "purolator", "royal_mail", "royal_mail_sf", "rr_donnelley", "russian_post", "skypostal", "stuart", "swyft", "uds", "ups", "usps", "veho" - `account_id` (string) Filter the response by the specified carrier account Id - `page` (integer) The page number you want to select - `results` (integer) The number of results to return per page (max 100, default 5) ## Header parameters: - `SHIPPO-API-VERSION` (string) Optional string used to pick a non-default API version to use. See our API version guide. Example: "2018-02-08" ## Response 200 fields (application/json): - `next` (string) Example: "baseurl?page=3&results=10" - `previous` (string) Example: "baseurl?page=1&results=10" - `results` (array) - `results.account_id` (string, required) Unique identifier of the account. Please check the carrier accounts tutorial page for the account_id per carrier. To protect account information, this field will be masked in any API response. Example: "****" - `results.active` (boolean) Determines whether the account is active. When creating a shipment, if no carrier_accounts are explicitly passed Shippo will query all carrier accounts that have this field set. By default, this is set to True. - `results.carrier` (string, required) Carrier token, see Carriers Please check the carrier accounts tutorial page for all supported carriers. Example: "usps" - `results.parameters` (any) - `results.carrier_name` (any) Carrier name, see Carriers Example: "USPS" - `results.is_shippo_account` (boolean) - `results.metadata` (string) - `results.object_id` (string) Unique identifier of the carrier account object. Example: "6aa34d5f6865448fbb1ee93636e98999" - `results.object_owner` (string) Username of the user who created the carrier account object. Example: "bob+22@gmail.com" - `results.service_levels` (array) - `results.service_levels.name` (string) Service level name, e.g. Priority Mail or FedEx Ground®. A service level commonly defines the transit time of a Shipment (e.g., Express vs. Standard), along with other properties. These names vary depending on the provider. See Service Levels. Example: "Priority Mail Express" - `results.service_levels.token` (string) Service level token, e.g. usps_priority or fedex_ground. See Service Levels. Example: "usps_priority_express" - `results.service_levels.supports_return_labels` (boolean) Whether or not the service level supports return labels. Example: true - `results.test` (boolean) Indicates whether the object has been created in test mode. - `results.object_info` (object) Holds internal state relevant to users. - `results.object_info.authentication` (object) - `results.object_info.authentication.type` (string) Authentication method used by this account. Enum: "default", "oauth" - `results.object_info.authentication.status` (string) Current authentication status. Possible values: 'disconnected' (authorization lost, reconnect needed), 'connected' (authorized and active), 'authorization_pending' (awaiting initial authorization flow). Enum: "disconnected", "connected", "authorization_pending"